FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions
Fl_Progress Class Reference

Displays a progress bar for the user. More...

`#include <Fl_Progress.H>`

Inheritance diagram for Fl_Progress:

List of all members.

## Public Member Functions
| Fl_Progress (int x, int y, int w, int h, const char *l=0)
| The constructor creates the progress bar using the position, size, and label.
void | maximum (float v)
| Sets the maximum value in the progress widget.
float | maximum () const
| Gets the maximum value in the progress widget.
void | minimum (float v)
| Sets the minimum value in the progress widget.
float | minimum () const
| Gets the minimum value in the progress widget.
void | value (float v)
| Sets the current value in the progress widget.
float | value () const
| Gets the current value in the progress widget.
## Protected Member Functions
virtual void | draw ()
| Draws the progress bar.

## Detailed Description

Displays a progress bar for the user.

## Constructor & Destructor Documentation

Fl_Progress::Fl_Progress | ( | int | X,
|  | int | Y,
|  | int | W,
|  | int | H,
|  | const char * | L = `0`
| ) |  |

The constructor creates the progress bar using the position, size, and label.

You can set the background color with color() and the progress bar color with selection_color(), or you can set both colors together with color(unsigned bg, unsigned sel).

The default colors are FL_BACKGROUND2_COLOR and FL_YELLOW, resp.

## Member Function Documentation

void Fl_Progress::draw | ( | void |  | ) | `[protected, virtual]`

Draws the progress bar.

Implements Fl_Widget.

void Fl_Progress::maximum | ( | float | v | ) | `[inline]`

Sets the maximum value in the progress widget.

float Fl_Progress::maximum | ( |  | ) | const`[inline]`

Gets the maximum value in the progress widget.

void Fl_Progress::minimum | ( | float | v | ) | `[inline]`

Sets the minimum value in the progress widget.

float Fl_Progress::minimum | ( |  | ) | const`[inline]`

Gets the minimum value in the progress widget.

void Fl_Progress::value | ( | float | v | ) | `[inline]`

Sets the current value in the progress widget.

float Fl_Progress::value | ( |  | ) | const`[inline]`

Gets the current value in the progress widget.

The documentation for this class was generated from the following files:

- Fl_Progress.H
- Fl_Progress.cxx